> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a system environment's associations

GET https://api.getpostman.com/api-catalog/system-environments/{systemEnvironmentId}/associations

Gets the workspace-environment associations for a system environment.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-system-environment-associations

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/system-environments/{systemEnvironmentId}/associations:
    get:
      operationId: getApiCatalogSystemEnvironmentAssociations
      summary: Get a system environment's associations
      description: Gets the workspace-environment associations for a system environment.
      tags:
        - apiCatalog
      parameters:
        - name: systemEnvironmentId
          in: path
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: workspaceId
          in: query
          description: >-
            The workspace's ID to which the environments in the association
            belong to.
          required: false
          schema:
            $ref: '#/components/schemas/systemEnvironmentWorkspaceId'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/getApiCatalogSystemEnvironmentAssociations
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogSystemEnvironmentAssociationsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    systemEnvironmentWorkspaceId:
      type: string
      title: systemEnvironmentWorkspaceId
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogSystemEnvironmentsFiltersData:
      type: object
      properties:
        isProduction:
          type: boolean
      description: The applied filters, if any.
      title: apiCatalogSystemEnvironmentsFiltersData
    apiCatalogSystemEnvironmentsMetaData:
      type: object
      properties:
        total:
          type: integer
          description: The number of records that match the defined criteria.
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        limit:
          type: integer
          description: The maximum number of records in the paginated response.
        filters:
          $ref: '#/components/schemas/apiCatalogSystemEnvironmentsFiltersData'
      required:
        - total
        - nextCursor
        - limit
      description: The response's meta information for paginated results.
      title: apiCatalogSystemEnvironmentsMetaData
    getApiCatalogSystemEnvironmentAssociationsData:
      type: object
      properties:
        id:
          type: string
          description: The association's ID.
        workspaceEnvironmentId:
          type: string
          description: The workspace environment's ID.
        workspaceId:
          type: string
          description: The ID of the workspace that contains the environment.
        associatedAt:
          type: string
          format: date-time
          description: The date and time at which the association was created.
      required:
        - id
        - workspaceEnvironmentId
        - workspaceId
        - associatedAt
      description: Information about the workspace-environment association.
      title: getApiCatalogSystemEnvironmentAssociationsData
    getApiCatalogSystemEnvironmentAssociations:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/apiCatalogSystemEnvironmentsMetaData'
        data:
          $ref: '#/components/schemas/getApiCatalogSystemEnvironmentAssociationsData'
      required:
        - meta
        - data
      title: getApiCatalogSystemEnvironmentAssociations
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    GetApiCatalogSystemEnvironmentAssociationsRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/apiCatalogError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      title: GetApiCatalogSystemEnvironmentAssociationsRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "total": 5,
    "nextCursor": null,
    "limit": 5
  },
  "data": {
    "0": {
      "associatedAt": "2026-03-17T09:48:14.000Z",
      "id": "ff53b4bc-eeb7-4b13-866a-5fbd79b13137",
      "workspaceEnvironmentId": "12345678-10ec194c-01eb-4844-91a2-9612fccf59d9",
      "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e"
    },
    "1": {
      "associatedAt": "2026-03-17T09:48:14.000Z",
      "id": "d17e1e36-39e8-420b-8eab-52bbd6a9d414",
      "workspaceEnvironmentId": "56781234-6c30365c-aa38-4f6f-b544-c8b06acfc48d",
      "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e"
    },
    "2": {
      "associatedAt": "2026-03-17T09:48:14.000Z",
      "id": "cb302fe2-0c2b-48cb-be0f-64a265e153e0",
      "workspaceEnvironmentId": "87654321-3610b709-275b-488d-9f30-5730fc999905",
      "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e"
    },
    "3": {
      "associatedAt": "2026-03-17T09:48:14.000Z",
      "id": "c248ee20-b817-40f1-bcce-09d4cf4987a6",
      "workspaceEnvironmentId": "54367812-0877b33f-3fb2-4a9c-b11e-dc634d9b24d0",
      "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e"
    },
    "4": {
      "associatedAt": "2026-03-17T09:48:14.000Z",
      "id": "7e63f482-458c-453c-83f8-dc29f49b00b1",
      "workspaceEnvironmentId": "12345678-46ea6b0e-2fa7-40f4-afe1-2e409724d41c",
      "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e"
    },
    "id": "ff53b4bc-eeb7-4b13-866a-5fbd79b13137",
    "workspaceEnvironmentId": "12345678-10ec194c-01eb-4844-91a2-9612fccf59d9",
    "workspaceId": "47d1b387-2485-482a-bf62-46ddd70a6d1e",
    "associatedAt": "2026-03-17T09:48:14.000Z"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0/associations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```